#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xCE,0x89,0x17,0xEF,0x7B,0x6C,0xDF,0x6E,0xEC,0x24,0x84,0x90,
		0xC2,0xA8,0x54,0xF1,0x57,0x99,0xB7,0xBE,0xE9,0xF7,0x60,0xC5,
		0x53,0x42,0x32,0xEB,0x38,0x53,0x8B,0xC2,0x73,0x74,0xB1,0x84,
		0x98,0x33,0x87,0x01,0x2D,0x82,0x1B,0x2F,0x8F,0xE4,0xE4,0xA7,
		0x9D,0x86,0x93,0xC8,0xAF,0x39,0x54,0x71,0x49,0xEF,0x31,0x2A,
		0x27,0x51,0xBE,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
